FLT-TRANS(1)

NAME
flt-trans - apply various operations to a MultiGen .flt file

SYNOPSIS
flt-trans [opts] input.flt output.flt
flt-trans [opts] -o output.flt input.flt

DESCRIPTION
This program reads a MultiGen OpenFlight (.flt) file and writes an essentially equivalent .flt file, to the file specified with -o (or as the second parameter). Some simple operations may be performed.

OPTIONS

-v version
    Upgrade (or downgrade) the flt file to the indicated version. This may not be completely correct for all version-to-version combinations.

-o filename
    Specify the filename to which the resulting .flt file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file.

-pr path_replace
    Sometimes references to other files (textures, external references) are stored with a full path that is appropriate for some other system, but does not exist here. This option may be used to specify how those invalid paths map to correct paths. Generally, this is of the form 'orig_prefix=replacement_prefix', which indicates a particular initial sequence of characters that should be replaced with a new sequence; e.g. '/c/home/models=/beta/fish'. If the replacement prefix does not begin with a slash, the file will then be searched for along the search path specified by -pp. You may use standard filename matching characters ('*', '?', etc.) in the original prefix, and '**' as a component by itself stands for any number of components. This option may be repeated as necessary; each file will be tried against each specified method, in the order in which they appear in the command line, until the file is found. If the file is not found, the last matching prefix is used anyway.

-pp dirname
    Adds the indicated directory name to the list of directories to search for filenames referenced by the source file. This is used only for relative paths, or for paths that are made relative by a -pr replacement string that doesn't begin with a leading slash. The model-path is always implicitly searched anyway.

-ps path_store
    Specifies the way an externally referenced file is to be represented in the resulting output file. This assumes the named filename actually exists; see -pr to indicate how to deal with external references that have bad pathnames. This option will not help you to find a missing file, but simply controls how filenames are represented in the output. The option may be one of: rel, abs, rel_abs, strip, or keep. If either rel or rel_abs is specified, the files are made relative to the directory specified by -pd. The default is rel.

-pd path_directory
    Specifies the name of a directory to make paths relative to, if '-ps rel' or '-ps rel_abs' is specified. If this is omitted, the directory name is taken from the name of the output file.

-pc target_directory
    Copies textures and other dependent files into the indicated directory. If a relative pathname is specified, it is relative to the directory specified with -pd, above.

-h  Display this help page.